AHOST(1)

NAME
ahost - print the A or AAAA record associated with a hostname or IP address

SYNOPSIS
ahost [OPTION]... HOST...

DESCRIPTION

Look up the DNS A or AAAA record associated with HOST (a hostname or an IP address).

This utility comes with the c-ares asynchronous resolver library.

OPTIONS

-d  Print some extra debugging output.

-h, --help
    Display this help and exit.

-t type
    If type is "a", print the A record (default). If type is "aaaa", print the AAAA record. If type is "u", look for either AAAA or A record (in that order).

-s domain
    Specify the domain to search instead of using the default values from
    /etc/resolv.conf. This option only has an effect on platforms that use
    /etc/resolv.conf for DNS configuration; it has no effect on other platforms (such as Win32 or Android).

REPORTING BUGS
Report bugs to the c-ares mailing list:
https://lists.haxx.se/listinfo/c-ares

SEE ALSO

acountry(1), adig(1).

COPYRIGHT
This utility is based on code/ideas contained in sofware written by Greg Hudson (ares) carrying the following notice:
Copyright 1998 by the Massachusetts Institute of Technology.
Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation, and that the name of M.I.T. not be used in advertising or publicity pertaining to distribution of the software without specific, written prior permission. M.I.T. makes no representations about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.
No further copyright claims are being made by the author(s) of this utility.